Skip to main content
GET
/
v2
/
feeds
/
stix
/
url
URL
curl --request GET \
  --url https://api.threatbook.io/v2/feeds/stix/url \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.threatbook.io/v2/feeds/stix/url"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.threatbook.io/v2/feeds/stix/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"PK\u0003\u0004\u0014\u0000\b\u0000\b\u0000Nz7\\\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000W\u0004\u0000\u0000\u0011\u0000 \u0000url_20260109.jsonUT\n\u0000\u0007� si� si� siux\u000b\u0000\u0001\u0004\u0001\u0000\u0000\u0004\u0014\u0000\u0000\u0000�R�n�0\u0010肩+\u0004\n]r墒\u0014)J�ü™As\t�K\u0003绵cY车DGぼ\u001aA™�’�H@额�\u0017�™Yr�t•$i<\u001f1m’T\n9`z3�œY+\u0000Z[›—•\u0005�•ü\u0013\u0001u!\u0015\b+™FQ•\\�—�pD�;a\u001fœ�&\u0005š�/üW_Q�0�\u001e�c’<碗怃:愦Œ�\u0007 FsΩ\u0001Zk\u0002\\�†谪\u001a\u0004W‘*�ˆ1虫荥:�\"�Blg�V\u001eœv~\b骚�+�c\u0017�=狮�…6<銮‰蘧�W�\"�›熘K锑�\u0007�;�xN�E�4r涛鼍\u001f…�\u0012H\u000eぜТ�ES�\u0019!潴jx”1b?苦眯\u001fš�冷Cr��\u0018š推�\u0003\u0006\b�ƒ�\u0014„\u0014U�rVq�99活‹r�\t俎酚\u001e\n]�a�\\oW\u0017=\n]\u001f�e#缔8�.e亏\u000ff禊�/褡X\u0010Ss\u0006š�rŒ�\u0014 ㄉ\u0001+i˜�ˆ\n�…-™�_�—*\"�™}涿�\u0006抨�{�}{y�o\u001d…œ�[鲲�\u001d醉阵OPK\u0007\b�++Q‘\u0001\u0000\u0000W\u0004\u0000\u0000PK\u0003\u0004\u0014\u0000\b\u0000\b\u0000Nz7\\\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u001c\u0000 \u0000__MACOSX/._url_20260109.jsonUT\n\u0000\u0007� si� si� siux\u000b\u0000\u0001\u0004\u0001\u0000\u0000\u0004\u0014\u0000\u0000\u0000c`\u0015cg`b`�MLV�\u000fVˆPü\u0002\u0018\u0003'\u0010\u001b\u0001q!\u0010ƒ�‹\u0019ˆ\u0002Ž!!AP&H�\f �FS�ˆ\u0010\u0017M蜗�K,(�I�+(�/K�K�KN\u0005)赝w�:t�^s\u0000PK\u0007\by�m\u001aT\u0000\u0000\u0000\u0000\u0000\u0000PK\u0001\u0002\u0014\u0003\u0014\u0000\b\u0000\b\u0000Nz7\\�++Q‘\u0001\u0000\u0000W\u0004\u0000\u0000\u0011\u0000 \u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000�\u0000\u0000\u0000\u0000url_20260109.jsonUT\n\u0000\u0007� si� si� siux\u000b\u0000\u0001\u0004\u0001\u0000\u0000\u0004\u0014\u0000\u0000\u0000PK\u0001\u0002\u0014\u0003\u0014\u0000\b\u0000\b\u0000Nz7\\y�m\u001aT\u0000\u0000\u0000\u0000\u0000\u0000\u001c\u0000 \u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000��\u0001\u0000\u0000__MACOSX/._url_20260109.jsonUT\n\u0000\u0007� si� si� siux\u000b\u0000\u0001\u0004\u0001\u0000\u0000\u0004\u0014\u0000\u0000\u0000PK\u0005\u0006\u0000\u0000\u0000\u0000\u0002\u0000\u0002\u0000\u0000\u0000\u0000\u0002\u0000\u0000\u0000\u0000"
{
"msg": "Required:{resource/apikey}",
"response_code": 400
}
{
"msg": "Invalid account status",
"response_code": 401
}
{
"msg": "Invalid API method",
"response_code": 405
}
{
"msg": "Request rate limitation",
"response_code": 429
}
{
"msg": "System error",
"response_code": 500
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

time
string

Precise time in UTC, format: YYYYMMDD. For example, 20210122 returns data from 2021-01-22 (UTC). Default: returns the most recent data (t-1 day). Feed packages can be retrieved for up to 90 days in the past.

Response

The response is of type object.